Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class BusinessCategory

    java.lang.Object
      com.tibco.bpm.web.client.model.types.BusinessCategory

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, IBusinessCategory

    public class BusinessCategory

extends java.lang.Object
implements IBusinessCategory, com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`BusinessCategory()`
`BusinessCategory(java.util.ArrayList<IBusinessCategory> childCategoryList, java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object aThat)`
`java.util.ArrayList<IBusinessCategory>` | `getChildCategoryList()` Get the child categories for this category.
`java.lang.String` | `getName()` Get the name of the category.
`void` | `setChildCategoryList(java.util.ArrayList<IBusinessCategory> childCategoryList)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessCategory

    public BusinessCategory()

### BusinessCategory

    public BusinessCategory(java.util.ArrayList<IBusinessCategory> childCategoryList,
                            java.lang.String name)

Method Detail

### getChildCategoryList

    public java.util.ArrayList<IBusinessCategory> getChildCategoryList()

  Description copied from interface: `IBusinessCategory`
  Get the child categories for this category.

  Specified by:
    `getChildCategoryList` in interface `IBusinessCategory`
  Returns:
    an ArrayList of `IBusinessCategory` containing the immediate child categories of this category.

### setChildCategoryList

    public void setChildCategoryList(java.util.ArrayList<IBusinessCategory> childCategoryList)

### getName

    public java.lang.String getName()

  Description copied from interface: `IBusinessCategory`
  Get the name of the category.

  Specified by:
    `getName` in interface `IBusinessCategory`
  Returns:
    name of the category.

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object aThat)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.